Assign and unassign users from detection alerts

Base URL
https://{kibana_url}
  • POST /api/detection_engine/signals/assignees
Auth

Assign users to detection alerts, and unassign them from alerts.

Note

You cannot add and remove the same assignee in the same request.

Request body

User profile IDs to add or remove on each listed alert document ID.

assignees object required
add string[] · format: nonempty required
remove string[] · format: nonempty required
ids string[] · format: nonempty · min items: 1 required

A list of alerts ids.

Responses

Indicates a successful call. The body matches an Elasticsearch update-by-query response (for example took, updated, failures).

application/json

Response Type: object

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Not enough privileges response

application/json
error string required
message string required
statusCode integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}